:boardId with the ID of the board you wish to retrieve.
method
path
Path Parameters
string
required
Identifier of the board you are requesting information for.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
// Replace API_KEY with your api key and :boardId with board id
curl --location 'https://api.supahub.com/api/v1/boards/:boardId' \
--header 'Authorization: Bearer API_KEY'
const myHeaders = new Headers();
myHeaders.append("Authorization", "Bearer API_KEY"); // Replace API_KEY with your api key
const requestOptions = {
method: "GET",
headers: myHeaders,
redirect: "follow",
};
fetch("https://api.supahub.com/api/v1/boards/:boardId", requestOptions) // Replace :boardId
.then((response) => response.text())
.then((result) => console.log(result))
.catch((error) => console.error(error));
const axios = require("axios");
let config = {
method: "get",
maxBodyLength: Infinity,
url: "https://api.supahub.com/api/v1/boards/:boardId", // Replace :boardId
headers: {
Authorization: "Bearer API_KEY", // Replace API_KEY with your api key
},
};
async function makeRequest() {
try {
const response = await axios.request(config);
console.log(JSON.stringify(response.data));
} catch (error) {
console.log(error);
}
}
makeRequest();
import requests
url = "https://api.supahub.com/api/v1/boards/:boardId" # Replace :boardId
headers = {
'Authorization': 'Bearer API_KEY' # Replace API_KEY with your key.
}
response = requests.request("GET", url, headers=headers)
print(response.text)
Retrieve details of a specific board.
:boardId with the ID of the board you wish to retrieve.
// Replace API_KEY with your api key and :boardId with board id
curl --location 'https://api.supahub.com/api/v1/boards/:boardId' \
--header 'Authorization: Bearer API_KEY'
const myHeaders = new Headers();
myHeaders.append("Authorization", "Bearer API_KEY"); // Replace API_KEY with your api key
const requestOptions = {
method: "GET",
headers: myHeaders,
redirect: "follow",
};
fetch("https://api.supahub.com/api/v1/boards/:boardId", requestOptions) // Replace :boardId
.then((response) => response.text())
.then((result) => console.log(result))
.catch((error) => console.error(error));
const axios = require("axios");
let config = {
method: "get",
maxBodyLength: Infinity,
url: "https://api.supahub.com/api/v1/boards/:boardId", // Replace :boardId
headers: {
Authorization: "Bearer API_KEY", // Replace API_KEY with your api key
},
};
async function makeRequest() {
try {
const response = await axios.request(config);
console.log(JSON.stringify(response.data));
} catch (error) {
console.log(error);
}
}
makeRequest();
import requests
url = "https://api.supahub.com/api/v1/boards/:boardId" # Replace :boardId
headers = {
'Authorization': 'Bearer API_KEY' # Replace API_KEY with your key.
}
response = requests.request("GET", url, headers=headers)
print(response.text)